## pd-mrpeach 0.1~svn17651

=== Makefile ===
## based on Pd library template version 1.0.14
## (with some modifications to allow for sources/helppatches in subdirectories)
LIBRARY_NAME = mrpeach

# add your .c source files, one object per file, to the SOURCES
# variable, help files will be included automatically, and for GUI
# objects, the matching .tcl file too
SOURCES = \
	f2b.c b2f.c \
	slipdec.c slipenc.c \
	packxbee.c unpackxbee.c \
	binfile.c \
	midifile.c \
	life2x.c \
	op~.c \
	rc~.c \
	rcosc~.c \
	rojo~.c \
	runningmean.c \
	sqosc~.c \
	str.c \
	tab2flist.c \
	tabfind.c \
	flist2tab.c \
	which.c

## where to find the source files (and help-patches)
VPATH=binfile:flist2tab:life2x:midifile:op~:rc~:rcosc~:rojo~:runningmean:serializer:slipdec:slipenc:sqosc~:str:tab2flist:tabfind:which:xbee

# list all pd objects (i.e. myobject.pd) files here, and their helpfiles will
# be included automatically
PDOBJECTS = 

# example patches and related files, in the 'examples' subfolder
EXAMPLES = 

# manuals and related files, in the 'manual' subfolder
MANUAL = 

# if you want to include any other files in the source and binary tarballs,
# list them here.  This can be anything from header files, test patches,
# documentation, etc.  README.txt and LICENSE.txt are required and therefore
# automatically included
EXTRA_DIST = pdxbee.h

# unit tests and related files here, in the 'unittests' subfolder
UNITTESTS = 



#------------------------------------------------------------------------------#
#
# things you might need to edit if you are using other C libraries
#
#------------------------------------------------------------------------------#

ALL_CFLAGS = -I"$(PD_INCLUDE)"
ALL_LDFLAGS =  
SHARED_LDFLAGS =
ALL_LIBS = 


#------------------------------------------------------------------------------#
#
# you shouldn't need to edit anything below here, if we did it right :)
#
#------------------------------------------------------------------------------#

# these can be set from outside without (usually) breaking the build
CFLAGS = -Wall -W -g
LDFLAGS =
LIBS =

# get library version from meta file
LIBRARY_VERSION = $(shell sed -n 's|^\#X text [0-9][0-9]* [0-9][0-9]* VERSION \(.*\);|\1|p' $(LIBRARY_NAME)-meta.pd)

ALL_CFLAGS += -DPD -DVERSION='"$(LIBRARY_VERSION)"'

PD_INCLUDE = $(PD_PATH)/include/pd
# where to install the library, overridden below depending on platform
prefix = /usr/local
libdir = $(prefix)/lib
pkglibdir = $(libdir)/pd-externals
objectsdir = $(pkglibdir)

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -m 644
INSTALL_DATA = $(INSTALL) -p -m 644
INSTALL_DIR     = $(INSTALL) -p -m 755 -d

ALLSOURCES := $(SOURCES) $(SOURCES_android) $(SOURCES_cygwin) $(SOURCES_macosx) \
	         $(SOURCES_iphoneos) $(SOURCES_linux) $(SOURCES_windows)

DISTDIR=$(LIBRARY_NAME)-$(LIBRARY_VERSION)
ORIGDIR=pd-$(LIBRARY_NAME:~=)_$(LIBRARY_VERSION)

UNAME := $(shell uname -s)
ifeq ($(UNAME),Darwin)
  CPU := $(shell uname -p)
  ifeq ($(CPU),arm) # iPhone/iPod Touch
    SOURCES += $(SOURCES_iphoneos)
    EXTENSION = pd_darwin
    SHARED_EXTENSION = dylib
    OS = iphoneos
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    IPHONE_BASE=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin
    CC=$(IPHONE_BASE)/gcc
    CPP=$(IPHONE_BASE)/cpp
    CXX=$(IPHONE_BASE)/g++
    ISYSROOT = -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS3.0.sdk
    IPHONE_CFLAGS = -miphoneos-version-min=3.0 $(ISYSROOT) -arch armv6
    OPT_CFLAGS = -fast -funroll-loops -fomit-frame-pointer
    ALL_CFLAGS := $(IPHONE_CFLAGS) $(ALL_CFLAGS)
    ALL_LDFLAGS += -arch armv6 -bundle -undefined dynamic_lookup $(ISYSROOT)
    SHARED_LDFLAGS += -arch armv6 -dynamiclib -undefined dynamic_lookup $(ISYSROOT)
    ALL_LIBS += -lc $(LIBS_iphoneos)
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
  else # Mac OS X
    SOURCES += $(SOURCES_macosx)
    EXTENSION = pd_darwin
    SHARED_EXTENSION = dylib
    OS = macosx
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    OPT_CFLAGS = -ftree-vectorize -ftree-vectorizer-verbose=2 -fast
# build universal 32-bit on 10.4 and 32/64 on newer
    ifeq ($(shell uname -r | sed 's|\([0-9][0-9]*\)\.[0-9][0-9]*\.[0-9][0-9]*|\1|'), 8)
      FAT_FLAGS = -arch ppc -arch i386 -mmacosx-version-min=10.4
    else
      SOURCES += $(SOURCES_iphoneos)
# Starting with Xcode 4.0, the PowerPC compiler is not installed by default
      ifeq ($(wildcard /usr/llvm-gcc-4.2/libexec/gcc/powerpc*), )
        FAT_FLAGS = -arch i386 -arch x86_64 -mmacosx-version-min=10.5
      else
        FAT_FLAGS = -arch ppc -arch i386 -arch x86_64 -mmacosx-version-min=10.4
      endif
    endif
    ALL_CFLAGS += $(FAT_FLAGS) -fPIC -I/sw/include
    # if the 'pd' binary exists, check the linking against it to aid with stripping
    BUNDLE_LOADER = $(shell test ! -e $(PD_PATH)/bin/pd || echo -bundle_loader $(PD_PATH)/bin/pd)
    ALL_LDFLAGS += $(FAT_FLAGS) -headerpad_max_install_names -bundle $(BUNDLE_LOADER) \
	-undefined dynamic_lookup -L/sw/lib
    SHARED_LDFLAGS += $(FAT_FLAGS) -dynamiclib -undefined dynamic_lookup \
	-install_name @loader_path/$(SHARED_LIB) -compatibility_version 1 -current_version 1.0
    ALL_LIBS += -lc $(LIBS_macosx)
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
# install into ~/Library/Pd on Mac OS X since /usr/local isn't used much
    pkglibdir=$(HOME)/Library/Pd
  endif
endif
# Tho Android uses Linux, we use this fake uname to provide an easy way to
# setup all this things needed to cross-compile for Android using the NDK
ifeq ($(UNAME),ANDROID)
  CPU := arm
  SOURCES += $(SOURCES_android)
  EXTENSION = so
  SHARED_EXTENSION = so
  OS = android
  PD_PATH = /usr
  NDK_BASE := /opt/android-ndk
  NDK_PLATFORM_LEVEL ?= 5
  NDK_ABI=arm
  NDK_COMPILER_VERSION = 4.6
  NDK_SYSROOT=$(NDK_BASE)/platforms/android-$(NDK_PLATFORM_LEVEL)/arch-$(NDK_ABI)
  NDK_UNAME:=$(shell uname -s | tr '[A-Z]' '[a-z]')
  ifeq ($(NDK_ABI),x86)
    HOST = i686-linux-android
    NDK_TOOLCHAIN = $(NDK_ABI)-$(NDK_COMPILER_VERSION)
  else
    HOST = $(NDK_ABI)-linux-androideabi
    NDK_TOOLCHAIN = $(HOST)-$(NDK_COMPILER_VERSION)
  endif
  NDK_TOOLCHAIN_BASE=$(NDK_BASE)/toolchains/$(NDK_TOOLCHAIN)/prebuilt/$(NDK_UNAME)-$(NDK_PROCESSOR)
  CC := $(NDK_TOOLCHAIN_BASE)/bin/$(HOST)-gcc --sysroot=$(NDK_SYSROOT)
  LD := $(NDK_TOOLCHAIN_BASE)/bin/$(HOST)-ld
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += 
  LDFLAGS += -rdynamic -shared
  SHARED_LDFLAGS += -Wl,-soname,$(SHARED_LIB) -shared
  LIBS += -lc $(LIBS_android)
  STRIP := $(NDK_TOOLCHAIN_BASE)/bin/$(HOST)-strip) \
	--strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),Linux)
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -Wl,-soname,$(SHARED_LIB) -shared
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU)
  # GNU/Hurd, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU/kFreeBSD)
  # Debian GNU/kFreeBSD, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq (CYGWIN,$(findstring CYGWIN,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_cygwin)
  EXTENSION = dll
  SHARED_EXTENSION = dll
  OS = cygwin
  PD_PATH = $(shell cygpath $$PROGRAMFILES)/pd
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += 
  ALL_LDFLAGS += -rdynamic -shared -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin"
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc -lpd $(LIBS_cygwin)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif
ifeq (MINGW,$(findstring MINGW,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_windows)
  EXTENSION = dll
  SHARED_EXTENSION = dll
  OS = windows
  PD_PATH = $(shell cd "$$PROGRAMFILES/pd" && pwd)
  # MinGW doesn't seem to include cc so force gcc
  CC=gcc
  OPT_CFLAGS = -O3 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -mms-bitfields
  ALL_LDFLAGS += -s -shared -Wl,--enable-auto-import
  SHARED_LDFLAGS += -shared
  ALL_LIBS += -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin" -L"$(PD_PATH)/obj" \
	-lpd -lwsock32 -lkernel32 -luser32 -lgdi32 -liberty $(LIBS_windows)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif

# in case somebody manually set the HELPPATCHES above
HELPPATCHES ?= $(SOURCES:.c=-help.pd) $(PDOBJECTS:.pd=-help.pd)

ALL_CFLAGS := $(ALL_CFLAGS) $(CFLAGS) $(OPT_CFLAGS)
ALL_LDFLAGS := $(LDFLAGS) $(ALL_LDFLAGS)
ALL_LIBS := $(LIBS) $(ALL_LIBS)

SHARED_SOURCE ?= $(wildcard lib$(LIBRARY_NAME).c)
SHARED_HEADER ?= $(shell test ! -e $(LIBRARY_NAME).h || echo $(LIBRARY_NAME).h)
SHARED_LIB ?= $(SHARED_SOURCE:.c=.$(SHARED_EXTENSION))
SHARED_TCL_LIB = $(wildcard lib$(LIBRARY_NAME).tcl)

.PHONY = install libdir_install single_install install-objects install-libobject install-doc install-examples install-manual install-unittests clean distclean dist etags $(LIBRARY_NAME)

all: $(SOURCES:.c=.$(EXTENSION)) $(SHARED_LIB)

%.o: %.c
	$(CC) $(ALL_CFLAGS) -o $@ -c $<

%.$(EXTENSION): %.o $(SHARED_LIB)
	$(CC) $(ALL_LDFLAGS) -o $@ $^  $(ALL_LIBS)
	chmod a-x $@

# this links everything into a single binary file
$(LIBRARY_NAME): $(SOURCES:.c=.o) $(LIBRARY_NAME).o lib$(LIBRARY_NAME).o
	$(CC) $(ALL_LDFLAGS) -o $(LIBRARY_NAME).$(EXTENSION) $(SOURCES:.c=.o) \
		$(LIBRARY_NAME).o lib$(LIBRARY_NAME).o $(ALL_LIBS)
	chmod a-x $(LIBRARY_NAME).$(EXTENSION)

$(SHARED_LIB): $(SHARED_SOURCE:.c=.o)
	$(CC) $(SHARED_LDFLAGS) -o $(SHARED_LIB) $(SHARED_SOURCE:.c=.o) $(ALL_LIBS)

install: libdir_install

# The meta and help files are explicitly installed to make sure they are
# actually there.  Those files are not optional, then need to be there.
install-objects: $(SOURCES:.c=.$(EXTENSION)) $(SHARED_LIB) $(PDOBJECTS) $(SHARED_TCL_LIB)
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd \
		$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) $^ $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(wildcard $(SOURCES:.c=.tcl)))" || \
		$(INSTALL_DATA) $(wildcard $(SOURCES:.c=.tcl)) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
libdir_install: install-objects install-doc install-examples install-manual install-unittests

# install library linked as single binary
install-libobject: $(LIBRARY_NAME).$(EXTENSION)
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_PROGRAM) $@ $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(STRIP) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/$@
single_install: install-libobject install-doc install-examples install-manual install-unittests

install-doc: $(HELPPATCHES)
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)

=== net/Makefile ===
## Pd library template version 1.0.11
# For instructions on how to use this template, see:
#  http://puredata.info/docs/developer/MakefileTemplate
LIBRARY_NAME = net

# add your .c source files, one object per file, to the SOURCES
# variable, help files will be included automatically, and for GUI
# objects, the matching .tcl file too
SOURCES = httpreceive.c httpreq.c tcpclient.c tcpreceive.c tcpsend.c tcpserver.c udpreceive.c udpreceive~.c udpsend.c udpsend~.c

# list all pd objects (i.e. myobject.pd) files here, and their helpfiles will
# be included automatically
PDOBJECTS = tcpsocket.FUDI.pd tcpsocket.OSC.pd tcpsocketserver.pd

# example patches and related files, in the 'examples' subfolder
EXAMPLES = test.txt

# manuals and related files, in the 'manual' subfolder
MANUAL = 

# if you want to include any other files in the source and binary tarballs,
# list them here.  This can be anything from header files, test patches,
# documentation, etc.  README.txt and LICENSE.txt are required and therefore
# automatically included
EXTRA_DIST = 



#------------------------------------------------------------------------------#
#
# things you might need to edit if you are using other C libraries
#
#------------------------------------------------------------------------------#

ALL_CFLAGS = -I"$(PD_INCLUDE)"
ALL_LDFLAGS =  
SHARED_LDFLAGS =
ALL_LIBS = 


#------------------------------------------------------------------------------#
#
# you shouldn't need to edit anything below here, if we did it right :)
#
#------------------------------------------------------------------------------#

# these can be set from outside without (usually) breaking the build
CFLAGS = -Wall -W -g
LDFLAGS =
LIBS =

# get library version from meta file
LIBRARY_VERSION = $(shell sed -n 's|^\#X text [0-9][0-9]* [0-9][0-9]* VERSION \(.*\);|\1|p' $(LIBRARY_NAME)-meta.pd)

ALL_CFLAGS += -DPD -DVERSION='"$(LIBRARY_VERSION)"'

PD_INCLUDE = $(PD_PATH)/include/pd
# where to install the library, overridden below depending on platform
prefix = /usr/local
libdir = $(prefix)/lib
pkglibdir = $(libdir)/pd-externals
objectsdir = $(pkglibdir)

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -p -m 644
INSTALL_DATA = $(INSTALL) -p -m 644
INSTALL_DIR     = $(INSTALL) -p -m 755 -d

ALLSOURCES := $(SOURCES) $(SOURCES_android) $(SOURCES_cygwin) $(SOURCES_macosx) \
	         $(SOURCES_iphoneos) $(SOURCES_linux) $(SOURCES_windows)

DISTDIR=$(LIBRARY_NAME)-$(LIBRARY_VERSION)
ORIGDIR=pd-$(LIBRARY_NAME:~=)_$(LIBRARY_VERSION)

UNAME := $(shell uname -s)
ifeq ($(UNAME),Darwin)
  CPU := $(shell uname -p)
  ifeq ($(CPU),arm) # iPhone/iPod Touch
    SOURCES += $(SOURCES_iphoneos)
    EXTENSION = pd_darwin
    SHARED_EXTENSION = dylib
    OS = iphoneos
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    IPHONE_BASE=/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin
    CC=$(IPHONE_BASE)/gcc
    CPP=$(IPHONE_BASE)/cpp
    CXX=$(IPHONE_BASE)/g++
    ISYSROOT = -isysroot /Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS3.0.sdk
    IPHONE_CFLAGS = -miphoneos-version-min=3.0 $(ISYSROOT) -arch armv6
    OPT_CFLAGS = -fast -funroll-loops -fomit-frame-pointer
    ALL_CFLAGS := $(IPHONE_CFLAGS) $(ALL_CFLAGS)
    ALL_LDFLAGS += -arch armv6 -bundle -undefined dynamic_lookup $(ISYSROOT)
    SHARED_LDFLAGS += -arch armv6 -dynamiclib -undefined dynamic_lookup $(ISYSROOT)
    ALL_LIBS += -lc $(LIBS_iphoneos)
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
  else # Mac OS X
    SOURCES += $(SOURCES_macosx)
    EXTENSION = pd_darwin
    SHARED_EXTENSION = dylib
    OS = macosx
    PD_PATH = /Applications/Pd-extended.app/Contents/Resources
    OPT_CFLAGS = -ftree-vectorize -ftree-vectorizer-verbose=2 -fast
# build universal 32-bit on 10.4 and 32/64 on newer
    ifeq ($(shell uname -r | sed 's|\([0-9][0-9]*\)\.[0-9][0-9]*\.[0-9][0-9]*|\1|'), 8)
      FAT_FLAGS = -arch ppc -arch i386 -mmacosx-version-min=10.4
    else
      FAT_FLAGS = -arch ppc -arch i386 -arch x86_64 -mmacosx-version-min=10.4
      SOURCES += $(SOURCES_iphoneos)
    endif
    ALL_CFLAGS += $(FAT_FLAGS) -fPIC -I/sw/include
    # if the 'pd' binary exists, check the linking against it to aid with stripping
    BUNDLE_LOADER = $(shell test ! -e $(PD_PATH)/bin/pd || echo -bundle_loader $(PD_PATH)/bin/pd)
    ALL_LDFLAGS += $(FAT_FLAGS) -bundle $(BUNDLE_LOADER) -undefined dynamic_lookup -L/sw/lib
    SHARED_LDFLAGS += $(FAT_FLAGS) -dynamiclib -undefined dynamic_lookup \
	-install_name @loader_path/$(SHARED_LIB) -compatibility_version 1 -current_version 1.0
    ALL_LIBS += -lc $(LIBS_macosx)
    STRIP = strip -x
    DISTBINDIR=$(DISTDIR)-$(OS)
# install into ~/Library/Pd on Mac OS X since /usr/local isn't used much
    pkglibdir=$(HOME)/Library/Pd
  endif
endif
# Tho Android uses Linux, we use this fake uname to provide an easy way to
# setup all this things needed to cross-compile for Android using the NDK
ifeq ($(UNAME),ANDROID)
  CPU := arm
  SOURCES += $(SOURCES_android)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = android
  PD_PATH = /usr
  NDK_BASE := /usr/local/android-ndk
  NDK_PLATFORM_VERSION := 5
  NDK_SYSROOT=$(NDK_BASE)/platforms/android-$(NDK_PLATFORM_VERSION)/arch-arm
  NDK_UNAME := $(shell uname -s | tr '[A-Z]' '[a-z]')
  NDK_TOOLCHAIN_BASE=$(NDK_BASE)/toolchains/arm-linux-androideabi-4.4.3/prebuilt/$(NDK_UNAME)-x86
  CC := $(NDK_TOOLCHAIN_BASE)/bin/arm-linux-androideabi-gcc --sysroot=$(NDK_SYSROOT)
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  CFLAGS += 
  LDFLAGS += -rdynamic -shared
  SHARED_LDFLAGS += -Wl,-soname,$(SHARED_LIB) -shared
  LIBS += -lc $(LIBS_android)
  STRIP := $(NDK_TOOLCHAIN_BASE)/bin/arm-linux-androideabi-strip \
	--strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),Linux)
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -Wl,-soname,$(SHARED_LIB) -shared
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU)
  # GNU/Hurd, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq ($(UNAME),GNU/kFreeBSD)
  # Debian GNU/kFreeBSD, should work like GNU/Linux for basically all externals
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_linux)
  EXTENSION = pd_linux
  SHARED_EXTENSION = so
  OS = linux
  PD_PATH = /usr
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -fPIC
  ALL_LDFLAGS += -rdynamic -shared -fPIC -Wl,-rpath,"\$$ORIGIN",--enable-new-dtags
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc $(LIBS_linux)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)-$(shell uname -m)
endif
ifeq (CYGWIN,$(findstring CYGWIN,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_cygwin)
  EXTENSION = dll
  SHARED_EXTENSION = dll
  OS = cygwin
  PD_PATH = $(shell cygpath $$PROGRAMFILES)/pd
  OPT_CFLAGS = -O6 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += 
  ALL_LDFLAGS += -rdynamic -shared -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin"
  SHARED_LDFLAGS += -shared -Wl,-soname,$(SHARED_LIB)
  ALL_LIBS += -lc -lpd $(LIBS_cygwin)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif
ifeq (MINGW,$(findstring MINGW,$(UNAME)))
  CPU := $(shell uname -m)
  SOURCES += $(SOURCES_windows)
  EXTENSION = dll
  SHARED_EXTENSION = dll
  OS = windows
  PD_PATH = $(shell cd "$$PROGRAMFILES/pd" && pwd)
  # MinGW doesn't seem to include cc so force gcc
  CC=gcc
  OPT_CFLAGS = -O3 -funroll-loops -fomit-frame-pointer
  ALL_CFLAGS += -mms-bitfields
  ALL_LDFLAGS += -s -shared -Wl,--enable-auto-import -L"$(PD_PATH)/src" -L"$(PD_PATH)/bin" -L"$(PD_PATH)/obj"
  SHARED_LDFLAGS += -shared
  ALL_LIBS += -lpd -lwsock32 -lkernel32 -luser32 -lgdi32 $(LIBS_windows)
  STRIP = strip --strip-unneeded -R .note -R .comment
  DISTBINDIR=$(DISTDIR)-$(OS)
endif

# in case somebody manually set the HELPPATCHES above
HELPPATCHES ?= $(SOURCES:.c=-help.pd) $(PDOBJECTS:.pd=-help.pd)

ALL_CFLAGS := $(ALL_CFLAGS) $(CFLAGS) $(OPT_CFLAGS)
ALL_LDFLAGS := $(LDFLAGS) $(ALL_LDFLAGS)
ALL_LIBS := $(LIBS) $(ALL_LIBS)

SHARED_SOURCE ?= $(shell test ! -e lib$(LIBRARY_NAME).c || \
	echo lib$(LIBRARY_NAME).c )
SHARED_HEADER ?= $(shell test ! -e $(LIBRARY_NAME).h || echo $(LIBRARY_NAME).h)
SHARED_LIB = $(SHARED_SOURCE:.c=.$(SHARED_EXTENSION))

.PHONY = install libdir_install single_install install-doc install-examples install-manual clean distclean dist etags $(LIBRARY_NAME)

all: $(SOURCES:.c=.$(EXTENSION)) $(SHARED_LIB)

%.o: %.c
	$(CC) $(ALL_CFLAGS) -o "$*.o" -c "$*.c"

%.$(EXTENSION): %.o $(SHARED_LIB)
	$(CC) $(ALL_LDFLAGS) -o "$*.$(EXTENSION)" "$*.o"  $(ALL_LIBS) $(SHARED_LIB)
	chmod a-x "$*.$(EXTENSION)"

# this links everything into a single binary file
$(LIBRARY_NAME): $(SOURCES:.c=.o) $(LIBRARY_NAME).o
	$(CC) $(ALL_LDFLAGS) -o $(LIBRARY_NAME).$(EXTENSION) $(SOURCES:.c=.o) $(LIBRARY_NAME).o $(ALL_LIBS)
	chmod a-x $(LIBRARY_NAME).$(EXTENSION)

$(SHARED_LIB): $(SHARED_SOURCE:.c=.o)
	$(CC) $(SHARED_LDFLAGS) -o $(SHARED_LIB) $(SHARED_SOURCE:.c=.o) $(LIBS)

install: libdir_install

# The meta and help files are explicitly installed to make sure they are
# actually there.  Those files are not optional, then need to be there.
libdir_install: $(SOURCES:.c=.$(EXTENSION)) $(SHARED_LIB) install-doc install-examples install-manual
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) $(LIBRARY_NAME)-meta.pd \
		$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SOURCES))" || (\
		$(INSTALL_PROGRAM) $(SOURCES:.c=.$(EXTENSION)) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME) && \
		$(STRIP) $(addprefix $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/,$(SOURCES:.c=.$(EXTENSION))))
	test -z "$(strip $(SHARED_LIB))" || \
		$(INSTALL_DATA) $(SHARED_LIB) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(wildcard $(SOURCES:.c=.tcl)))" || \
		$(INSTALL_DATA) $(wildcard $(SOURCES:.c=.tcl)) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(PDOBJECTS))" || \
		$(INSTALL_DATA) $(PDOBJECTS) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)

# install library linked as single binary
single_install: $(LIBRARY_NAME) install-doc install-examples install-manual
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_PROGRAM) $(LIBRARY_NAME).$(EXTENSION) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(STRIP) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/$(LIBRARY_NAME).$(EXTENSION)

install-doc:
	$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	test -z "$(strip $(SOURCES) $(PDOBJECTS))" || \
		$(INSTALL_DATA) $(HELPPATCHES) \
			$(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)
	$(INSTALL_DATA) README.txt $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/README.txt
	$(INSTALL_DATA) LICENSE.txt $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/LICENSE.txt

install-examples:
	test -z "$(strip $(EXAMPLES))" || \
		$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/examples && \
		for file in $(EXAMPLES); do \
			$(INSTALL_DATA) examples/$$file $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/examples; \
		done

install-manual:
	test -z "$(strip $(MANUAL))" || \
		$(INSTALL_DIR) $(DESTDIR)$(objectsdir)/$(LIBRARY_NAME)/manual && \
		for file in $(MANUAL); do \

## pd-mrpeach 0.1~svn17542

=== debian/changelog ===
pd-mrpeach (0.1~svn17542-1) unstable; urgency=medium

  * Initial release. (Closes: #795902)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 03 Sep 2015 15:23:24 +0200

=== debian/control ===
Source: pd-mrpeach
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends: cdbs (>= 0.4.91~),
 debhelper (>= 9~),
 dh-buildinfo,
 devscripts,
 puredata-dev | puredata
Standards-Version: 3.9.6
Section: sound
Homepage: http://download.puredata.info/mrpeach
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pd-mrpeach.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/pd-mrpeach.git

Package: pd-mrpeach
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd
#Recommends: pd-cmos-compat,
# pd-mrpeach-net-compat,
# pd-slip-compat,
# pd-xbee-compat
Description: bag of tricks for Pure Data (Pd)
 mrpeach is a collection of general purpose objects:
  - [op~] signal comparision
  - [rc~] resistor-capacitor circuit
  - [rcosc~] resistor-capacitor oscillator
  - [rojo~] red noise generator
  - [sqosc~] bandlimited pulse generator
  - [runningmean] moving average filter
  - [tabfind] find a number in a table
  - [flist2tab] write lists of floats into a table
  - [tab2flist] extract lists of floats from a table
  - [str] strings
  - [f2b] float32 → bytes converter
  - [b2f] bytes → float32 converter
  - [life2x] game of life
  - [which] output path to a Pd-object
 .
  - [midifile] play and record MIDI files
  - [binfile] read/write raw data files

Package: pd-cmos
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd
Description: digital logic emulator objects for Pure Data (Pd)
 This is a collection of small objects that emulate logic CMOS components,
 namely the CD4000 series.
 It currently contains 25 objects of the cd4000 series.
 .
 The emulation assumes idealized components, and works in the message domain.

Package: pd-mrpeach-net
Architecture: any
Section: net
Depends: ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd
Recommends: pd-osc
Provides: pd-net
Description: Pd library for low-level networking
 This library adds Pure Data (Pd) objects that allow one to build a networking
 infrastructure within Pd on OSI-Layer 4 (transport layer).
 The objects use threads to allow for non-blocking network communication within
 an audio realtime environment.
  - [tcpreceive], [tcpsend]: unidirectional communication over TCP/IP
  - [tcpserver], [tcpclient]: bidirectional communication over TCP/IP
  - [udpreceive], [udpsend]: unidirectional communication over UDP
  - [udpsndrcv]: bidirectional communication over UDP
  - [udpsend~], [udpreceive~]: transmit uncompressed signals via UDP
 Since these objects only send/receive lists of bytes, you will most likely need
 to add some glue to implement higher-level protocols (and transmit meaningful
 data).

Package: pd-slip
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd
Enhances: pd-comport, pd-net
Description: SLIP encoder/decoder for Pure Data (Pd)
 This library implements the Serial Line Internet Protocol (SLIP),
 a simple protocol for encapsulating packets within a streaming transport
 protocol such as TCP/IP or on the serial port.
 .
 You will need this if you plan to transmit e.g. OSC messages via TCP/IP or
 the serial line.

Package: pd-xbee
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd
Recommends: pd-comport
Section: electronics
Description: interfacing with your XBee from within Pure Data (Pd)
 This library allows you to interact with your XBee (a small form factor radio
 module).
 It provides objects for encoding and decoding XBee commands/responses.
 .
 The underlying communication is handled by other objects, usually [comport].

## JMZ: disabled creation of *-compat packages for now
#Package: pd-cmos-compat
#Architecture: all
#Depends: pd-mrpeach, pd-cmos
#Description: digital logic emulator objects for Pd (compatibility version)
# This package provides a compatibility layer for older patches that
# use the CMOS library as part of the mrpeach namespace (e.g. as shipped in
# Pd-extended).
# .
# It makes all objects found in the 'cmos' namespace available in the 'mrpeach'
# namespace.
#
#Package: pd-mrpeach-net-compat
#Architecture: all
#Depends: pd-mrpeach, pd-mrpeach-net
#Description: Pd library for low-level networking (compatibility version)
# This package provides a compatibility layer for older patches that
# use the mrpeach's net library as part of the mrpeach namespace
# (e.g. as shipped in Pd-extended).
#
#Package: pd-slip-compat
#Architecture: all
#Depends: pd-mrpeach, pd-slip
#Description: SLIP encoder/decoder for Pd (compatibility version)
# This package provides a compatibility layer for older patches that
# use the SLIP library as part of the mrpeach namespace (e.g. as shipped in
# Pd-extended).
# .
# It makes all objects found in the 'slip' namespace available in the 'mrpeach'
# namespace.
#
#Package: pd-xbee-compat
#Architecture: all
#Depends: pd-mrpeach, pd-xbee
#Description: Pd interface for your XBee (compatibility version)
# This package provides a compatibility layer for older patches that
# use the XBee library as part of the mrpeach namespace (e.g. as shipped in
# Pd-extended).
# .
# It makes all objects found in the 'xbee' namespace available in the 'mrpeach'
# namespace.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2015 IOhannes m zmölnig <umlaeute@debian.org>
# Description: Main Debian packaging script for mrpeach

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/class/pd.mk
include /usr/share/cdbs/1/rules/utils.mk

CDBS_BUILD_DEPENDS_rules_utils_buildinfo =

#CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
	^(midifile/I_Wanna_Be_Sedated\.mid|debian/(changelog|copyright(|_hints|_newhints)))$

build/pd-mrpeach-net::
	make -C net \
		 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
build/pd-cmos::
	make -C cmos \
		 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

binary-post-install/pd-mrpeach::
	find "$(CURDIR)/debian/pd-mrpeach" -name "*.mid" -exec chmod a-x {} +

clean::
	make clean -C cmos
	make clean -C net



CFLAGS+=$(CPPFLAGS) -I/usr/include/pd

=== debian/watch ===
# to be processed with uscan(1)
version=3
http://puredata.info/downloads/mrpeach/releases/(\d\.\d)/mrpeach-v?(.+)\.tar.gz

## pd-mrpeach 0.1~svn17615

=== debian/changelog ===
pd-mrpeach (0.1~svn17615-1) unstable; urgency=medium

  * Imported Upstream version 0.1~svn17615

  * Fixated build-date for reproducible builds.
  * Fixed typo in package description
  * Updated Vcs-* stanzas
  * Added debian/git-tuneclone.sh script
    * Document git-tuneclone.sh in debian/README.source
  * Updated copyright dates in debian/
  * Bumped standards-version to 3.9.7

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 15 Apr 2016 22:20:37 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  dh-buildinfo,
  devscripts,
  puredata-dev | puredata
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Section: sound
 Homepage: http://download.puredata.info/mrpeach
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/pd-mrpeach.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/pd-mrpeach.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pd-mrpeach.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/pd-mrpeach.git
 
 Package: pd-mrpeach
 Architecture: any
@@ -24,7 +24,7 @@
 # pd-xbee-compat
 Description: bag of tricks for Pure Data (Pd)
  mrpeach is a collection of general purpose objects:
-  - [op~] signal comparision
+  - [op~] signal comparison
   - [rc~] resistor-capacitor circuit
   - [rcosc~] resistor-capacitor oscillator
   - [rojo~] red noise generator

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
-# Copyright © 2015 IOhannes m zmölnig <umlaeute@debian.org>
+# Copyright © 2015-2016 IOhannes m zmölnig <umlaeute@debian.org>
 # Description: Main Debian packaging script for mrpeach
 
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -13,6 +13,9 @@
 #CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
 	^(midifile/I_Wanna_Be_Sedated\.mid|debian/(changelog|copyright(|_hints|_newhints)))$
+
+BUILD_DATE:=$(shell date -u -d "$$(dpkg-parsechangelog -SDate)" +"%Y/%m/%d at %H:%M:%S UTC")
+CPPFLAGS+=-DBUILD_DATE='\"$(BUILD_DATE)\"'
 
 build/pd-mrpeach-net::
 	make -C net \

## pd-mrpeach 0.1~svn17645

=== debian/changelog ===
pd-mrpeach (0.1~svn17645-2) unstable; urgency=medium

  * Build pd-osc binary package from this source package
    * Bump epoch of pd-osc package

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 26 Feb 2018 15:32:10 +0100

pd-mrpeach (0.1~svn17645-1) unstable; urgency=medium

  * New upstream version 0.1~svn17645
    * Dropped patches applied upstream
  * Enabled hardening
  * Added Recommends/Suggests on pd-pddp, pd-osc, pd-comport, pd-net,...
  * Dropped [flist2tab] & [tab2flist] from long description
  * Switched from CDBS to dh
    * Bumped dh compat to 11
    * Removed d/control.in
  * Script to fetch upstream sources from svn
  * Dropped git-tuneclone.sh in favour of a gbp postclone hook
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Removed trailing whitespace in debian/*
  * Switched URLs to https://
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 03 Feb 2018 23:02:46 +0100

=== debian/control ===
Source: pd-mrpeach
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>=11~),
 dh-buildinfo,
 devscripts,
 puredata-dev | puredata,
Standards-Version: 4.1.3
Section: sound
Homepage: https://download.puredata.info/mrpeach
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-mrpeach.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-mrpeach

Package: pd-mrpeach
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Recommends:
 pd-comport,
Description: bag of tricks for Pure Data (Pd)
 mrpeach is a collection of general purpose objects:
  - [op~] signal comparison
  - [rc~] resistor-capacitor circuit
  - [rcosc~] resistor-capacitor oscillator
  - [rojo~] red noise generator
  - [sqosc~] bandlimited pulse generator
  - [runningmean] moving average filter
  - [tabfind] find a number in a table
  - [str] strings
  - [f2b] float32 → bytes converter
  - [b2f] bytes → float32 converter
  - [life2x] game of life
  - [which] output path to a Pd-object
 .
  - [midifile] play and record MIDI files
  - [binfile] read/write raw data files

Package: pd-osc
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Recommends:
 pd-iemnet | pd-net,
Suggests:
 pd-comport,
 pd-slip,
Description: Open Sound Control for Pd
 This library allows one to construct and parse OSC messages within Pd.  It
 includes support for ordinary OSC-messages, typetags, timetags and bundles.
 .
 These objects are transport-agnostic, so you can use them to transmit OSC over
 UDP, TCP/IP, serial port, or in fact whatever you want.  However, you will have
 to install additional libraries that will handle the transport layer (like
 pd-net or pd-comport).
 .
 Note however, that OSC is a packet-based protocol, so if you intend to use it
 with a stream-based transport (like TCP/IP or the serial line), you must use
 a packetizer (the OSC-specifications suggest to use SLIP, as provided by
 pd-slip).

Package: pd-cmos
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Description: digital logic emulator objects for Pure Data (Pd)
 This is a collection of small objects that emulate logic CMOS components,
 namely the CD4000 series.
 It currently contains 25 objects of the cd4000 series.
 .
 The emulation assumes idealized components, and works in the message domain.

Package: pd-mrpeach-net
Architecture: any
Section: net
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Recommends:
 pd-osc,
 pd-pddp,
Suggests:
 pd-slip,
Provides: pd-net
Description: Pd library for low-level networking
 This library adds Pure Data (Pd) objects that allow one to build a networking
 infrastructure within Pd on OSI-Layer 4 (transport layer).
 The objects use threads to allow for non-blocking network communication within
 an audio realtime environment.
  - [tcpreceive], [tcpsend]: unidirectional communication over TCP/IP
  - [tcpserver], [tcpclient]: bidirectional communication over TCP/IP
  - [udpreceive], [udpsend]: unidirectional communication over UDP
  - [udpsndrcv]: bidirectional communication over UDP
  - [udpsend~], [udpreceive~]: transmit uncompressed signals via UDP
 Since these objects only send/receive lists of bytes, you will most likely need
 to add some glue to implement higher-level protocols (and transmit meaningful
 data).

Package: pd-slip
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Recommends:
 pd-osc,
Enhances:
 pd-comport,
 pd-net,
Description: SLIP encoder/decoder for Pure Data (Pd)
 This library implements the Serial Line Internet Protocol (SLIP),
 a simple protocol for encapsulating packets within a streaming transport
 protocol such as TCP/IP or on the serial port.
 .
 You will need this if you plan to transmit e.g. OSC messages via TCP/IP or
 the serial line.

Package: pd-xbee
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Recommends:
 pd-comport,
Section: electronics
Description: interfacing with your XBee from within Pure Data (Pd)
 This library allows you to interact with your XBee (a small form factor radio
 module).
 It provides objects for encoding and decoding XBee commands/responses.
 .
 The underlying communication is handled by other objects, usually [comport].

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2015-2016 IOhannes m zmölnig <umlaeute@debian.org>
# Description: Main Debian packaging script for mrpeach

pkglibdir = /usr/lib/pd/extra

#enable hardening
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# get SOURCE_DATE_EPOCH and DEB_VERSION
include /usr/share/dpkg/pkg-info.mk

## set timestamp for reproducible builds
DATE_FMT = %Y/%m/%d at %H:%M:%S UTC
ifdef SOURCE_DATE_EPOCH
    BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
else
    BUILD_DATE ?= $(shell date "+$(DATE_FMT)")
endif
CPPFLAGS +=-DBUILD_DATE='\"compiled for Debian on $(BUILD_DATE)\"'

CFLAGS+=$(CPPFLAGS) -I/usr/include/pd

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	make -C osc \
		 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	make -C net \
		 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	make -C cmos \
		 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- prefix=/usr pkglibdir=$(pkglibdir)
# fix permissions
	find $(CURDIR)/debian/pd-*/ -name "*.pd_linux" -exec \
		chmod 0664 {} +
# replace license file with link to the Debian license file
	rm -f -- $(CURDIR)/debian/$(PACKAGE)/$(pkglibdir)/$(LIBRARY_NAME)/LICENSE.txt

override_dh_gencontrol:
	dh_gencontrol --package=pd-osc -- -v1:$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol --remaining-packages

override_dh_clean:
	dh_clean
	make clean -C osc
	make clean -C net
	make clean -C cmos

licensecheck:
	licensecheck --deb-machine -r . \
	| perl -00ne 'print unless /^(Files:)? ^(midifile/I_Wanna_Be_Sedated\.mid|debian/(changelog|copyright(|_hints|_newhints)))$
	> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
	&& rm debian/copyright_newhints

=== debian/watch ===
# to be processed with uscan(1)
version=3
https://puredata.info/downloads/mrpeach/releases/(\d\.\d)/mrpeach-v?(.+)\.tar.gz

## pd-mrpeach 0.1~svn17647

=== debian/changelog ===
pd-mrpeach (0.1~svn17647-3) unstable; urgency=medium

  * dh_auto_install fixes (Closes: #909820)
    * Remove all LICENSE.txt files during dh_auto_install
    * Drop executable-bit from all .pd_linux files in the package
    * Dropped group-writable bit from all .pd_linux files (fixed typo)
  * Don't require "root" for building
  * Bumped standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 29 Sep 2018 21:03:03 +0200

pd-mrpeach (0.1~svn17647-2) unstable; urgency=medium

  * Fixed d/watch.
    Thanks to Paul Wise
  * Bumped standards version to 4.1.4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 27 Jun 2018 11:40:20 +0200

pd-mrpeach (0.1~svn17647-1) unstable; urgency=medium

  * New upstream version 0.1~svn17647

  * Generated upstream-changelog
    * Added script to generate upstream changelog
  * Updated README.source about importing upstream sources
  * Added d/watch

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 06 Mar 2018 20:39:08 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  dh-buildinfo,
  devscripts,
  puredata-dev | puredata,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Section: sound
 Homepage: https://download.puredata.info/mrpeach
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-mrpeach.git

=== debian/rules ===
--- 
+++ 
@@ -37,10 +37,13 @@
 override_dh_auto_install:
 	dh_auto_install -- prefix=/usr pkglibdir=$(pkglibdir)
 # fix permissions
-	find $(CURDIR)/debian/pd-*/ -name "*.pd_linux" -exec \
-		chmod 0664 {} +
+	find $(CURDIR)/debian/tmp/ -name "*.pd_linux" -exec \
+		chmod 0644 {} +
 # replace license file with link to the Debian license file
-	rm -f -- $(CURDIR)/debian/$(PACKAGE)/$(pkglibdir)/$(LIBRARY_NAME)/LICENSE.txt
+	rm -f -- $(CURDIR)/debian/tmp/$(pkglibdir)/$(LIBRARY_NAME)/LICENSE.txt
+
+override_dh_installchangelogs:
+	dh_installchangelogs debian/upstream_changelog
 
 override_dh_gencontrol:
 	dh_gencontrol --package=pd-osc -- -v1:$(DEB_VERSION_UPSTREAM_REVISION)

## pd-mrpeach 0.1~svn17651

=== debian/changelog ===
pd-mrpeach (0.1~svn17651-1) unstable; urgency=medium

  * New upstream version 0.1~svn17651
    * Regenerate upstream changelog
  * Fix FTCBFS (Closes: #946334)
    Thanks to Helmut Grohne <helmut@subdivi.de>
    * Let dh_auto_build pass cross tools to make
    * Defer stripping to dh_strip
  * Drop B-D on devscripts
  * Remove obsolete file d/source/local-options
  * Update d/copyright
    * Fix pattern-exclusion for licensecheck
    * Regenereate d/copyright_hints
  * Bump dh-compat to 12
    * Use debhelper-compat instead of debian/compat
  * Bump standards-version to 4.4.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Jan 2020 22:50:26 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>=11~),
+ debhelper-compat (=12),
  dh-buildinfo,
- devscripts,
  puredata-dev | puredata,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Section: sound
 Homepage: https://download.puredata.info/mrpeach

=== debian/rules ===
--- 
+++ 
@@ -27,15 +27,15 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	make -C osc \
+	dh_auto_build --sourcedirectory=osc -- \
 		 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
-	make -C net \
+	dh_auto_build --sourcedirectory=net -- \
 		 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
-	make -C cmos \
+	dh_auto_build --sourcedirectory=cmos -- \
 		 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_install:
-	dh_auto_install -- prefix=/usr pkglibdir=$(pkglibdir)
+	dh_auto_install -- prefix=/usr pkglibdir=$(pkglibdir) STRIP=true
 # fix permissions
 	find $(CURDIR)/debian/tmp/ -name "*.pd_linux" -exec \
 		chmod 0644 {} +
@@ -55,9 +55,11 @@
 	make clean -C net
 	make clean -C cmos
 
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = \
+        ^\./\.git/.*|\./debian/|\./midifile/I_Wanna_Be_Sedated\.mid$
+
 licensecheck:
-	licensecheck --deb-machine -r . \
-	| perl -00ne 'print unless /^(Files:)? ^(midifile/I_Wanna_Be_Sedated\.mid|debian/(changelog|copyright(|_hints|_newhints)))$
-	> debian/copyright_newhints
+	LANG=C licensecheck -i "$(DEB_COPYRIGHT_CHECK_IGNORE_REGEX)" --deb-machine -r . \
+		> debian/copyright_newhints
 	cmp debian/copyright_hints debian/copyright_newhints \
-	&& rm debian/copyright_newhints
+		&& rm debian/copyright_newhints

=== debian/watch ===
# to be processed with uscan(1)
# This checks upstream's SVN repository for newer commits.
# It fails to download anything, since i don't know how to
# get a revision-snapshot of a subdirectory in finite time
# instead, just run debian/get-orig-source.sh
version=3
opts="dversionmangle=s/.*svn//,downloadurlmangle=s%.*%TO GET UPSTREAM SOURCES PLEASE RUN debian/get-orig-source.sh%" \
  https://sourceforge.net/p/pure-data/svn/HEAD/log/?path=/trunk/externals/mrpeach \
  .*\/p\/pure-data\/svn\/([0-9][0-9]*)/ \
  debian

## pd-mrpeach 0.1~svn17654

=== debian/changelog ===
pd-mrpeach (0.1~svn17654-1) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * New upstream version 0.1~svn17654
    * Refresh d/upstream_changelog (and remove duplicate entries)
  * Pass CPPFLAGS/CFLAGS/LDFLAGS to base-library
  * Add salsa-ci configuration
  * Bump Standards-Version to 4.5.0

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 25 Mar 2020 15:17:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper-compat (=12),
+ debhelper-compat (= 12),
  dh-buildinfo,
  puredata-dev | puredata,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Section: sound
 Homepage: https://download.puredata.info/mrpeach

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,8 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build
+	dh_auto_build -- \
+		 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 	dh_auto_build --sourcedirectory=osc -- \
 		 CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 	dh_auto_build --sourcedirectory=net -- \
